:root {
    --clr-dark-400: #1d232a;
    --clr-dark-500: #191e24;
    --clr-dark-600: #15191e;
    --spring-size: 40px;
}

h1:focus {
    outline: none;
}

html, body {
    overscroll-behavior-y: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.text-opaque {
    opacity: 0.7;
}

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

.font-10 {
    font-size: 1rem !important;
    line-height: 1 !important;
}

.font-h5 {
    font-size: var(--mud-typography-h5-size) !important;
    font-weight: var(--mud-typography-h5-weight);
    line-height: var(--mud-typography-h5-lineheight);
    letter-spacing: var(--mud-typography-h5-letterspacing);
    text-transform: var(--mud-typography-h5-text-transform);
}

.figtree, .mud-typography:not(h5) {
    font-family: "Figtree", sans-serif !important;
    font-optical-sizing: auto;
    line-height: 1;
}

.saira, .mud-typography.saira, h5.mud-typography {
    font-family: "Saira Condensed", sans-serif !important;
    font-optical-sizing: auto;
    line-height: 1;
}

div.file-input-zone {
    --clr-hover: var(--alpha);
    --clr-text: #ffffff;
    --clr-text-hover: var(--mud-text-primary);
    background: linear-gradient(90deg, var(--clr-hover) 50%, var(--clr-hover) 50%, var(--mud-palette-surface) 50%, var(--mud-palette-surface)) !important;
    background-size: 200% !important;
    background-position-x: 0% !important;
    color: var(--clr-text) !important;
    transition: all .3s ease-in !important;
}

    div.file-input-zone:hover {
        background-position-x: 0 !important;
        color: var(--clr-text-hover) !important;
    }

    div .file-input-zone#op-training {
        --clr-hover: var(--mud-palette-tertiary);
        --clr-text-hover: white;
    }


    div .file-input-zone#op-confirmation {
        --clr-hover: #4857cf;
        --clr-text-hover: white;
    }

    div .file-input-zone#op-update {
        --clr-hover: #2780dd;
        --clr-text-hover: white;
    }

    div .file-input-zone span span:last-child {
        display: -webkit-box;
        word-break: break-all;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 5;
        overflow: hidden;
    }

body {
    background-color: var(--clr-dark-600) !important;
}

.bg-dark-400 {
    background-color: var(--clr-dark-400);
}

.bg-dark-500 {
    background-color: var(--clr-dark-500);
}

.bg-dark-600 {
    background-color: var(--clr-dark-600);
}

.bg-warning-hover {
    background-color: var(--mud-palette-warning);
}

.bg-warning-600 {
    background-color: var(--mud-palette-warning-hover);
}

.bg-error-500 {
    background-color: var(--mud-palette-error);
}

.bg-error-hover {
    background-color: var(--mud-palette-error-hover);
}

.border-error {
    border: 1px solid var(--mud-palette-error) !important;
}

.rounded-full {
    border-radius: 100px !important;
}

.rounded-full-top {
    border-radius: 100px 100px 0 0 !important;
}

.place-self-start {
    place-self: start;
}

.place-self-end {
    place-self: end;
}

.d-grid {
    display: grid;
}

.text-center {
    text-align: center;
}

.layout-content {
    background: var(--clr-dark-400);
}

.bg-vda-surface {
    /*background-color: #2a2a3d !important;*/
    background-color: var(--clr-dark-500) !important;
    color: #f5f5f5 !important;
}

.navtop {
    height: 40px;
    position: sticky;
    top: 0;
    background: var(--clr-dark-500);
    display: flex;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    /*flex-direction: row;*/
    /*justify-content: space-between;*/
    align-items: center;
    width: 100%;
    padding: .3rem .5rem;
    gap: .5rem;
}

.navbot {
    height: 30px;
    position: absolute;
    bottom: 0;
    background: var(--clr-dark-500);
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    width: 100%;
    padding: 5px;
    gap: .5rem;
}

.page-content {
    height: calc(100svh - 40px);
    overflow: auto;
}

.wrapper {
    height: 100%;
    padding: 0rem !important;
    position: relative;
}

/*.grid
.bg-mbg2 {
    background: url(/Images/Mbg2.png);
    background-position: center;
    background-size: cover;
}*/
.bg-transparent {
    background-color: transparent !important;
}

.bg-blur {
    --bg-blur: blur(4px);
    -webkit-backdrop-filter: var(--bg-blur);
    backdrop-filter: var(--bg-blur);
    background-color: #15191eee;
}

.collapser-hover {
    background-color: transparent;
}

    .collapser-hover:hover {
        background-color: #adadb10f;
    }

    .collapser-hover:hover {
        background-color: #adadb10f;
    }

.inner-wrapper {
    height: 100%;
    padding: .5rem .5rem 0 .5rem;
    display: flex !important;
    flex-direction: column;
    overflow: auto;
}

@media screen and (max-width: 480px) {
    .inner-wrapper {
        padding: .75rem .2rem 0 .2rem;
    }
}

.text-end {
    text-align: end;
}

.tray-springs {
    padding-block: 1px;
}

    .tray-springs.cursor-pointer:hover {
        border-radius: 6px;
        filter: brightness(1.1);
        outline: 2px solid #ffffffa6;
    }

.spring-status {
    --color-1: var(--darksoftnet);
    --color-2: var(--darknet);
    /*--spring-size: 40px;*/
    --spring-colspan: 1.0;
    --delay: 0s;
    display: flex;
    border-radius: 6px;
    flex: 1 0 calc(var(--spring-size) * var(--spring-colspan));
    background: linear-gradient(135deg, var(--color-1), var(--color-2));
    height: 80px;
    /*width: calc(var(--spring-size) * var(--spring-colspan));*/
    /*min-width: calc(var(--spring-size) * var(--spring-colspan));*/
    position: relative;
    /*animation: .4s springIn ease-in forwards;
    animation-delay: var(--delay);*/
    transform-origin: center center;
    /*opacity: 0;*/
}

.tray-grid {
    --tray-cols: 8;
    display: flex;
    min-width: calc(var(--spring-size) * var(--tray-cols));
}

    .tray-grid .spring-box {
        --box-color: var(--clr-dark-600);
        --spring-colspan: 1.0;
        display: flex;
        border-radius: 6px;
        overflow: hidden;
        flex: 0 0 calc(100% / var(--tray-cols) * var(--spring-colspan));
        background: var(--clr-dark-600);
        height: 80px;
        border: 1px solid #ffffff26;
        min-width: calc(var(--spring-size) * var(--spring-colspan));
        position: relative;
        transform-origin: center center;
        z-index: 1;
    }

.spring-box {
    --box-color: var(--clr-dark-600);
    --spring-colspan: 1.0;
    display: flex;
    border-radius: 6px;
    overflow: hidden;
    flex: 1 1 auto;
    background: var(--clr-dark-600);
    height: 80px;
    border: 1px solid #ffffff26;
    min-width: calc(var(--spring-size) * var(--spring-colspan));
    position: relative;
    transform-origin: center center;
    z-index: 1;
}


.tray-grid .spring-box.spring-box-auto {
    flex: 1 1 auto; /* grow and shrink as needed */
}

.spring-box.spring-box-selected {
    outline: 1px solid var(--mud-palette-primary);
    box-shadow: 0 0 4px 1px var(--mud-palette-primary);
    z-index: 2;
}

    .spring-box.cursor-pointer:hover::after, .spring-box.spring-box-selected::after {
        --arrow-size: 10px;
        border-left: var(--arrow-size) solid transparent;
        border-right: var(--arrow-size) solid transparent;
        border-top: var(--arrow-size) solid #e8e8e8;
    }

.tray-grid .spring-status {
    --color-1: var(--darksoftnet);
    --color-2: var(--darknet);
    /*--spring-size: 40px;*/
    --spring-colspan: 1.0;
    --delay: 0s;
    display: flex;
    border-radius: 6px;
    flex: 0 0 calc(100% / var(--tray-cols) * var(--spring-colspan));
    background: linear-gradient(135deg, var(--color-1), var(--color-2));
    height: 80px;
    min-width: calc(var(--spring-size) * var(--spring-colspan));
    /*width: calc(var(--spring-size) * var(--spring-colspan));*/
    /*min-width: calc(var(--spring-size) * var(--spring-colspan));*/
    position: relative;
    /*animation: .4s springIn ease-in forwards;
    animation-delay: var(--delay);*/
    transform-origin: center center;
    /*opacity: 0;*/
}

.tray-grid {
    --tray-cols: 8;
    display: flex;
    min-width: calc(var(--spring-size) * var(--tray-cols));
}

    .tray-grid .spring-box {
        --box-color: var(--clr-dark-600);
        --spring-colspan: 1.0;
        display: flex;
        border-radius: 6px;
        overflow: hidden;
        flex: 0 0 calc(100% / var(--tray-cols) * var(--spring-colspan));
        background: var(--clr-dark-600);
        height: 80px;
        border: 1px solid #ffffff26;
        min-width: calc(var(--spring-size) * var(--spring-colspan));
        position: relative;
        transform-origin: center center;
        z-index: 1;
    }

.spring-box {
    --box-color: var(--clr-dark-600);
    --spring-colspan: 1.0;
    display: flex;
    border-radius: 6px;
    overflow: hidden;
    flex: 1 1 auto;
    background: var(--clr-dark-600);
    height: 80px;
    border: 1px solid #ffffff26;
    min-width: calc(var(--spring-size) * var(--spring-colspan));
    position: relative;
    transform-origin: center center;
    z-index: 1;
}


.tray-grid .spring-box.spring-box-auto {
    flex: 1 1 auto; /* grow and shrink as needed */
}

.spring-box.spring-box-selected {
    outline: 1px solid var(--mud-palette-primary);
    box-shadow: 0 0 4px 1px var(--mud-palette-primary);
    z-index: 2;
}

    .spring-box.cursor-pointer:hover::after, .spring-box.spring-box-selected::after {
        --arrow-size: 10px;
        border-left: var(--arrow-size) solid transparent;
        border-right: var(--arrow-size) solid transparent;
        border-top: var(--arrow-size) solid #e8e8e8;
    }

.tray-grid .spring-status {
    --color-1: var(--darksoftnet);
    --color-2: var(--darknet);
    /*--spring-size: 40px;*/
    --spring-colspan: 1.0;
    --delay: 0s;
    display: flex;
    border-radius: 6px;
    flex: 0 0 calc(100% / var(--tray-cols) * var(--spring-colspan));
    background: linear-gradient(135deg, var(--color-1), var(--color-2));
    height: 80px;
    min-width: calc(var(--spring-size) * var(--spring-colspan));
    /*width: calc(var(--spring-size) * var(--spring-colspan));*/
    /*min-width: calc(var(--spring-size) * var(--spring-colspan));*/
    position: relative;
    /*animation: .4s springIn ease-in forwards;
        animation-delay: var(--delay);*/
    transform-origin: center center;
    /*opacity: 0;*/
}

    .tray-grid .spring-status.spring-status-auto {
        flex: 1 1 auto; /* grow and shrink as needed */
    }

/*.spring-status.cursor-pointer:hover*/ /*,  .spring-status-wrapper:has(.spring-status:hover) .spring-status */ /*{
    filter: brightness(1.1);
    outline: 1px solid #ffffffa6;
}*/
.spring-status-wrapper {
    position: relative;
    border-radius: 6px;
}
    .spring-status-wrapper.spring-status-wrapper-error {
        box-shadow: 0px 0px 4px 0px #ff3b00;
    }
    .spring-status-wrapper.spring-status-wrapper-selected {
        filter: brightness(1.1);
        outline: 2px solid #ffffffa6;
        z-index: 1;
    }

.tray-springs.cursor-pointer .spring-status.cursor-pointer:hover::after /*,  .spring-status-wrapper:has(.spring-status:hover) .spring-status */ {
    display: none;
}

.spring-status::after {
    content: "";
    position: absolute;
    top: 0;
    left: 50%;
    width: 0;
    height: 0;
    transform: translateX(-50%);
    border-radius: 2px;
    transition: all 0.1s linear;
}

.spring-status.cursor-pointer:hover::after, .spring-status.spring-status-selected::after
/*.spring-status-wrapper.spring-status-wrapper-selected .spring-status::after, .spring-status-wrapper.spring-status-wrapper-hover:hover .spring-status::after*/ {
    --arrow-size: 10px;
    border-left: var(--arrow-size) solid transparent;
    border-right: var(--arrow-size) solid transparent;
    border-top: var(--arrow-size) solid #e8e8e8;
}

@keyframes springIn {
    from {
        opacity: 0;
        transform: translateY(-80px) scale(0.8);
    }

    to {
        transform: translateY(0) scale(1);
        opacity: 1;
    }
}

.spring-status.missingtraining {
    --color-1: #d254ff;
    --color-2: #645fd9;
}

.spring-status.ok {
    --color-1: #007d27;
    --color-2: #4fe57e;
}

.spring-status.okbutcheck {
    --color-1: #007d27;
    --color-2: #ff8800;
}

.spring-status.okempty {
    --color-1: #007d27;
    --color-2: #14141e;
}


.spring-status.okupdated {
    --color-1: #000dff;
    --color-2: #5e65f9;
}

.spring-status.okupdatedbutcheck {
    --color-1: #000dff;
    --color-2: #ff8800;
}


.spring-status.okupdatedempty {
    --color-1: #000dff;
    --color-2: #14141e;
}

.spring-status.ko {
    --color-1: #f50000;
    --color-2: #ff3b00;
}

.spring-status.koempty {
    --color-1: #f50000;
    --color-2: #14141e;
}

.spring-status.koplanogram {
    --color-1: #202020;
    --color-2: #272727;
    border: 1px dashed var(--mud-palette-error);
}

.spring-status.komanualcheck {
    --color-1: #202020;
    --color-2: #272727;
    border: 1px dashed var(--mud-palette-warning);
}

.spring-status.komissingoncatalog {
    --color-1: #ffd53c;
    --color-2: #ff3b00;
}

.spring-status.planogram-spring {
    --color-1: #494949;
    --color-2: #12121e;
}

.spring-box.ok {
    --color-1: #007d27;
    --color-2: #4fe57e;
}
.spring-box.missingtraining {
    --color-1: #d254ff;
    --color-2: #8657ff;
}
.spring-box.okbutcheck {
    --color-1: #007d27;
    --color-2: #ff8800;
}

.spring-box.okempty {
    --color-1: #007d27;
    --color-2: #14141e;
}


.spring-box.okupdated {
    --color-1: #000dff;
    --color-2: #5e65f9;
}

.spring-box.okupdatedbutcheck {
    --color-1: #000dff;
    --color-2: #ff8800;
}


.spring-box.okupdatedempty {
    --color-1: #000dff;
    --color-2: #14141e;
}

.spring-box.ko {
    --color-1: #f50000;
    --color-2: #ff3b00;
}

.spring-box.koempty {
    --color-1: #f50000;
    --color-2: #14141e;
}

.spring-box.koplanogram {
    --color-1: #202020;
    --color-2: #272727;
    border: 1px dashed var(--mud-palette-error);
}

.spring-box.komanualcheck {
    --color-1: #202020;
    --color-2: #272727;
    border: 1px dashed var(--mud-palette-warning);
}

.spring-box.komissingoncatalog {
    --color-1: #ffd53c;
    --color-2: #ff3b00;
}

.spring-box.kowarning {
    --color-1: #ffad3c;
    --color-2: #ffd53c;
}
.spring-box.oknorequirements {
    --color-1: #f5f5f5;
    --color-2: #c5c5c5;
}
.spring-box.planogram-spring {
    --color-1: #494949;
    --color-2: #12121e;
}


.spring-status .spring-status-top-left-info, .spring-box .spring-status-top-left-info {
    position: absolute;
    top: 4px;
    left: 4px;
}

.spring-status .spring-status-color, .spring-box .spring-status-color {
    margin-top: 4px;
    height: 3px;
    flex-grow: 1;
    position: relative;
}

    .spring-box .spring-status-color::before, .spring-box .spring-status-color::after {
        content: "";
        position: absolute;
        inset: 0;
        background-color: var(--color-2);
        border-radius: 1px;
    }

    .spring-box .spring-status-color::before {
        filter: blur(2px);
        opacity: 1;
        transform: translateY(-1px);
    }

.spring-status .spring-status-top-info, .spring-box .spring-status-top-info {
    position: absolute;
    top: 4px;
    right: 4px;
}

.spring-status .spring-status-bottom-info, .spring-box .spring-status-bottom-info {
    position: absolute;
    bottom: 0px;
    right: 0px;
    left: 0;
}

.spring-status .spring-status-center, .spring-box .spring-status-center {
    font-size: 0.7rem !important;
    font-weight: 600;
    line-height: 1 !important;
    text-align: center !important;
    color: white;
}

.spring-box-text-selection {
    --chars: 1;
    --box-size: 1;
    /*font-size: clamp(.6rem, 5vw, 1.4rem);*/
    font-size: clamp(0.55rem, calc((1.3rem * var(--box-size)) - (0.15rem * var(--chars))), 1.3rem);
}

.line-height-1 {
    line-height: 1 !important;
}

.text-white {
    color: white;
}

.spring-res {
    --color-1: var(--darksoftnet);
    border-radius: 6px;
    /* background: radial-gradient(at left top, var(--color-1), var(--color-2)); */
    background: linear-gradient(135deg, var(--color-1), var(--color-2));
    position: relative;
}

    .spring-res.missingtraining {
        --color-1: #d254ff;
        --color-2: #645fd9;
    }

    .spring-res.ok {
        --color-1: #007d27;
        --color-2: #4fe57e;
    }

    .spring-res.okbutcheck {
        --color-1: #007d27;
        --color-2: #ff8800;
    }

    .spring-res.okempty {
        --color-1: #007d27;
        --color-2: #14141e;
    }


    .spring-res.okupdated {
        --color-1: #000dff;
        --color-2: #5e65f9;
    }

    .spring-res.okupdatedbutcheck {
        --color-1: #000dff;
        --color-2: #ff8800;
    }


    .spring-res.okupdatedempty {
        --color-1: #000dff;
        --color-2: #14141e;
    }

    .spring-res.ko {
        --color-1: #f50000;
        --color-2: #ff3b00;
    }

    .spring-res.koempty {
        --color-1: #f50000;
        --color-2: #14141e;
    }

    .spring-res.koplanogram {
        --color-1: #202020;
        --color-2: #272727;
        border: 1px dashed var(--mud-palette-error);
    }

    .spring-res.komanualcheck {
        --color-1: #202020;
        --color-2: #272727;
        border: 1px dashed var(--mud-palette-warning);
    }

    .spring-res.komissingoncatalog {
        --color-1: #ffd53c;
        --color-2: #ff3b00;
    }

    .spring-res.planogram-spring {
        --color-1: #494949;
        --color-2: #12121e;
    }


div.countdown {
    counter-reset: my-count 5;
    -webkit-animation: countdown 5s linear;
    animation: countdown 5s linear;
    animation-fill-mode: forwards
}

    div.countdown::after {
        content: counter(my-count);
    }


@-webkit-keyframes countdown {
    0% {
    }

    20% {
        counter-increment: my-count -1;
    }

    40% {
        counter-increment: my-count -2;
    }

    60% {
        counter-increment: my-count -3;
    }

    80% {
        counter-increment: my-count -4;
        opacity: 1;
    }

    100% {
        counter-increment: my-count -5;
        opacity: 0;
    }
}

@keyframes countdown {
    0% {
    }

    20% {
        counter-increment: my-count -1;
    }

    40% {
        counter-increment: my-count -2;
    }

    60% {
        counter-increment: my-count -3;
    }

    80% {
        counter-increment: my-count -4;
        opacity: 1;
    }

    100% {
        counter-increment: my-count -5;
        opacity: 0;
    }
}

.training-image {
    --duration: .3s;
    transition: all var(--duration);
    height: 300px;
    width: 200px;
}

    .training-image img {
        height: 100%;
        object-fit: cover;
    }

    .training-image:hover {
        height: 370px;
        transform-origin: top;
        z-index: 11;
    }

    .training-image:not(:hover) {
        animation: zIndexHack var(--duration);
    }

@keyframes zIndexHack {
    0%, 100% {
        z-index: 10;
    }
}

.opacity-80 {
    opacity: 0.8;
}

.error-paper {
    background: #cf484829;
    border-radius: 8px;
    border: 1px solid #cf484869;
}

.q-border {
    border: 1px solid #ffffff26;
}

.q-border-left {
    border-left: 1px solid #ffffff26;
}

.q-outline {
    outline: 1px solid #ffffff26;
}

div.slider-wrapper {
    height: 60px;
    overflow: hidden;
    mask-image: linear-gradient(0deg, transparent, black 4px, black calc(100% - 4px), transparent 100% )
}

    div.slider-wrapper div.slider {
        animation: autoslide 15s linear infinite;
    }

@keyframes autoslide {
    0% {
        transform: translateY(0);
    }

    20% {
        transform: translateY(0);
    }

    100% {
        transform: translateY(-100%);
    }
}

.overflow-x-mask {
    --mask-size: 12px;
    mask: linear-gradient(90deg, transparent, black var(--mask-size), black calc(100% - var(--mask-size)), transparent);
    padding-left: var(--mask-size);
    padding-right: var(--mask-size);
}

.marquee {
    position: relative;
    overflow: hidden;
    white-space: nowrap;
    box-sizing: border-box;
    line-height: 0.8;
    border: 1px solid #0000002b;
    width: 100%;
    background-color: #0000001c;
}

    .marquee span {
        display: inline-block;
        padding-left: 100%; /* Push the text to start off-screen */
        animation: marquee 10s linear infinite;
    }

/* Keyframes for moving left */
@keyframes marquee {
    0% {
        transform: translateX(0%);
    }

    100% {
        transform: translateX(-100%);
    }
}

.swal2-popup {
    background: var(--clr-dark-600) !important;
    border: 1px solid #ffffff26 !important;
    color: #c3c3c3 !important;
}

.tray-sidelabel {
    position: absolute;
    top: 0rem;
    bottom: 0rem;
    overflow: hidden;
    right: 100%;
    font-size: 8px;
    line-height: 1;
    text-wrap: nowrap;
    text-orientation: upright;
    writing-mode: vertical-rl;
    /*letter-spacing: -3px;*/
    text-transform: uppercase;
}

.font-5 {
    font-size: .5rem !important;
    line-height: 1 !important;
}

.dockbot-control {
    position: sticky;
    margin-top: 40px;
    bottom: 0px;
    z-index: 1;
}

    .dockbot-control > .dockbot-glass {
        border-radius: 24px 24px 0 0;
        border-top: 1px solid #ffffff26;
        border-left: 1px solid #ffffff26;
        border-right: 1px solid #ffffff26;
        border-bottom: 0;
        box-shadow: 0 0 4px 2px #00000070;
        /*border-color: var(--mud-palette-primary) !important;*/
    }
/*Disabilita lo zoom con il doppio click sui buttons*/
button {
    touch-action: manipulation !important;
}

div.indicator-arrow {
    position: relative;
}

    div.indicator-arrow::after {
        content: "";
        position: absolute;
        bottom: 100%;
        right: 100%;
        border-top: 6px solid #ffffff00;
        border-left: 6px solid #ffffff00;
        border-right: 6px solid var(--mud-palette-primary);
        animation: arrowBlink 1.5s infinite
    }

@keyframes arrowBlink {
    0%, 100% {
        border-right-color: var(--mud-palette-primary);
    }

    50% {
        border-right-color: #ffffff00;
    }
}

.ai-wrapper {
    position: relative;
    z-index: 1;
    border-radius: 100px;
}

@property --border-angle {
    syntax: '<angle>';
    initial-value: 0deg;
    inherits: false;
}

.ai-element {
    margin: 0 auto;
    background: var(--clr-dark-600);
    position: relative;
    padding: 0px;
    border-radius: 3px;
}

    .ai-element::after, .ai-element::before {
        --border-angle: 0deg;
        content: '';
        position: absolute;
        height: 100%;
        width: 100%;
        background-image: conic-gradient(from var(--border-angle), transparent 60%, #3cb5e3, #7156f2);
        /*background-image: conic-gradient(from var(--border-angle), #3cb5e3, #7156f2, #3cb5e3);*/
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        box-sizing: content-box;
        z-index: -1;
        padding: 2px;
        border-radius: 5px;
        animation: 4s spin-border linear infinite;
    }

    .ai-element::before {
        filter: blur(4px);
        opacity: 0.5;
    }

.ai-border {
    --bg: var(--clr-dark-600);
    position: relative;
    background: var(--bg)!important;
    border-radius: inherit;
}
    .ai-border::after, .ai-border::before {
        --border-angle: 0deg;
        content: '';
        position: absolute;
        height: 100%;
        width: 100%;
        background-image: conic-gradient(from var(--border-angle), transparent 60%, #3cb5e3, #7156f2);
        /*background-image: conic-gradient(from var(--border-angle), #3cb5e3, #7156f2, #3cb5e3);*/
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        box-sizing: content-box;
        z-index: -1;
        padding: 2px;
        border-radius: inherit;
        animation: 4s spin-border linear infinite;
    }

    .ai-border::before {
        filter: blur(4px);
        opacity: 0.5;
    }
@keyframes spin-border {
    from {
        --border-angle: 0deg;
    }

    to {
        --border-angle: 360deg;
    }
}
